#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/rc.d/rc.xinetd.new
config etc/xinetd.conf.new

config etc/xinetd.d/chargen-dgram.new
config etc/xinetd.d/chargen-stream.new
config etc/xinetd.d/daytime-dgram.new
config etc/xinetd.d/daytime-stream.new
config etc/xinetd.d/discard-dgram.new
config etc/xinetd.d/discard-stream.new
config etc/xinetd.d/echo-dgram.new
config etc/xinetd.d/echo-stream.new
config etc/xinetd.d/xadmin.new

rm -f etc/xinetd.d/chargen-dgram.new
rm -f etc/xinetd.d/chargen-stream.new
rm -f etc/xinetd.d/daytime-dgram.new
rm -f etc/xinetd.d/daytime-stream.new
rm -f etc/xinetd.d/discard-dgram.new
rm -f etc/xinetd.d/discard-stream.new
rm -f etc/xinetd.d/echo-dgram.new
rm -f etc/xinetd.d/echo-stream.new
rm -f etc/xinetd.d/xadmin.new
